Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Remove specific individual users access from calls (/v2/calls/users-access)

Prev Next
Delete
/v2/calls/users-access

Remove individual user access from calls. The request can only remove access previously given by the /v2/calls/users-access API.

If a given user does not have access to the call, they will be unaffected.

If a given user does have access to the call, but not through the pubic API (for example if the call was shared with the user), the user's access will remain unchanged.

Required authorizaton scope: 'api:call-user-access:write'.

Body parameters
Expand All
object
callAccessList
Array of object (CallUsersAccessDto)

A list, in which each item specifies a call and a list of users to be removed from the call.

object

Call users access

callId
string Required

Gong's unique numeric call ID.

Example7782342274025937895
userIds
Array of string Required

Array of Gong's unique numeric user IDs.

Example[ "234599484848423" ]
string
Responses
200

Successful response

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Access denied

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string